import java.util.*;
import java.awt.*;
import java.awt.event.*;

class Modellen{
    private String farg;
    public Modellen(){
	farg = "Svart";
    }

    public String geFargen(){ 
	return farg;
    }
    
    public void uppdateraTillstand(){ 
	if(farg.equals("Svart"))
	    farg = "Vit"; 
	else
	    farg = "Svart";
    } 
}

class Vy extends Frame{ 
    private Modellen mod;

    public Vy(Modellen m){
	super("Vyn");
	setSize(200,200);
	mod = m;
	setLayout(new BorderLayout());
    }
    

    public void updatemin(){ 
	//String f=mod.geFargen(); 
	//System.out.println(f);
	repaint();
    } 

    public void paint(Graphics g){
	String f=mod.geFargen(); 
	g.drawString(f, 50, 50);
    } 
    
}


class Kontroll extends Button implements ActionListener{ 
    private Modellen mod;
    private Vy vy;
    
    public Kontroll(Modellen m,Vy v){
	super("Klicka pa mig");
	mod = m;
	vy =v;
	addActionListener(this);
    }
    
    public void actionPerformed(ActionEvent ae){
	uppdatera();
    }
    
    public void uppdatera() { 
	mod.uppdateraTillstand();
	vy.updatemin();
    }
}

public class MVC1{
    public static void main(String[] args){ 
	Modellen mod = new Modellen(); 
	Vy vy = new Vy(mod);
	Kontroll kontr = new Kontroll(mod,vy);
	vy.add(kontr, BorderLayout.SOUTH);
	vy.setVisible(true);
    } 
}
